/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */
   
@font-face {
font-family: "PixelOperator";
src: url("https://freezy.neocities.org/fonts/PixelOperator.ttf?#iefix") format("truetype");
}

@font-face {
  font-family: "PixelOut";
  src: url("https://freezy.neocities.org/fonts/Pixelout.ttf?#iefix") format("truetype");
}

body {
  background-color: #436a7b;
  background-image: url('./images/bg_diamond.png');
	background-position: top;
  font-size: 18px;
  font-family: 'PixelOperator', monospace;
  margin: 0;
}
 

p {
  line-height: 1.6em; /*I find the default HTML line-height tends to be a bit claustrophobic for main text*/
}

hr {
  border: solid #c7b591;
  border-width: 2px 0 0 0;
}

img {
  max-width: 100%;
  height: auto;
  margin-top: 0.5em;
  margin-bottom: 0.5em;
}
.right {
  float: right;
  margin-left: 1em;
}
.left {
  float: left;
  margin-right: 1em;
}
.center {
  display: block;
  margin-right: auto;
  margin-left: auto;
  text-align: center;
}
@media only screen and (min-width: 600px) {
  .small {
    max-width: 60%;
    height: auto;
  }
}
.caption {
  margin-top: 0;
  font-size: 0.9em;
  font-style: italic;
}

a:hover { 
  background-color: #fff6e6;
}

h1, h2, h3, h4, h5 {
  font-family: "PixelOut", Tahoma, monospace;
  color: #34436f;
  font-weight: normal;
}

/*#CONTAINER is the rectangle that contains everything but the background!*/
#container {
  margin: 3em auto;
  width: 90%;
	max-width: 700px;
	background-color: #f1e3c9;
  color: #151515; 
  outline-color: #a9a9a9;
  outline-style: ridge;
  outline-width: 4px;
  outline-offset: 0;
}

#content {
  padding: 10px 5% 20px 5%;
}


/*HEADER STYLE*/
#header {
  background-color: #384879;
  padding: 0 5%;
 
}
#header ul {
  list-style-type: none;
  padding: 0.5em 0;
  margin: 0;
}
#header li {
  font-size: 1.2em;
  display: inline-block;
  margin-right: 0.1em;
  margin-bottom: 1em;
  margin-top: 0.2em;
}
#header li a {
   color: black;
  background-color: #B6B8B5;
  font-weight: bold;
  text-decoration: none;
  border: outset 2px #B6B8B5;
  border-radius: 2px;
  padding: 7px 10px 4px 10px;
  margin-right: 10px;
  margin-top: 10px;
  display: inline-block;
}
#header li a:hover {
  text-decoration: underline;
  border: outset white 4px;
  padding: 5px;
}
#header li a:active {
  text-decoration: underline;
  border: outset grey 4px;
  padding: 5px;
}


/*POST LIST STYLE*/
#postlistdiv ul {
  font-size: 1.2em;
  padding: 0;
  list-style-type: none;
}
#recentpostlistdiv ul {
  font-size: 1.2em;
  padding: 0;
  list-style-type: none;
}
.moreposts {
  font-size: 0.8em;
  margin-top: 0.2em;
}

/*NEXT AND PREVIOUS LINKS STYLE*/
#nextprev {
  text-align: center;
  margin-top: 1.4em;
}

/*DISQUS STYLE*/
#disqus_thread {
  margin-top: 1.6em;
}

/*FOOTER STYLE*/
#footer {
  font-size: 0.8em;
  padding: 0 5% 10px 5%;
}